/*
qsampler - A LinuxSampler Qt GUI Interface.

   Copyright (C) 2005-2018, rncbc aka Rui Nuno Capela. All rights reserved.
   Copyright (C) 2007, Christian Schoenebeck

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


*/

/********************************************************************************
** Form generated from reading UI file 'qsamplerChannelForm.ui'
**
** Created by: Qt User Interface Compiler version 5.9.7
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_QSAMPLERCHANNELFORM_H
#define UI_QSAMPLERCHANNELFORM_H

#include <QtCore/QVariant>
#include <QtWidgets/QAction>
#include <QtWidgets/QApplication>
#include <QtWidgets/QButtonGroup>
#include <QtWidgets/QComboBox>
#include <QtWidgets/QDialog>
#include <QtWidgets/QDialogButtonBox>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QLabel>
#include <QtWidgets/QSpacerItem>
#include <QtWidgets/QSpinBox>
#include <QtWidgets/QTableView>
#include <QtWidgets/QToolButton>
#include <QtWidgets/QVBoxLayout>

QT_BEGIN_NAMESPACE

class Ui_qsamplerChannelForm
{
public:
    QVBoxLayout *vboxLayout;
    QGridLayout *gridLayout;
    QLabel *EngineNameTextLabel;
    QComboBox *EngineNameComboBox;
    QSpacerItem *spacerItem;
    QLabel *InstrumentFileTextLabel;
    QComboBox *InstrumentFileComboBox;
    QToolButton *InstrumentFileToolButton;
    QLabel *InstrumentNrTextLabel;
    QComboBox *InstrumentNrComboBox;
    QGroupBox *MidiGroupBox;
    QGridLayout *gridLayout1;
    QLabel *MidiDriverTextLabel;
    QComboBox *MidiDriverComboBox;
    QSpacerItem *spacerItem1;
    QLabel *MidiPortTextLabel;
    QSpinBox *MidiPortSpinBox;
    QLabel *MidiChannelTextLabel;
    QComboBox *MidiChannelComboBox;
    QSpacerItem *spacerItem2;
    QLabel *MidiDeviceTextLabel;
    QComboBox *MidiDeviceComboBox;
    QToolButton *MidiDeviceToolButton;
    QLabel *MidiMapTextLabel;
    QComboBox *MidiMapComboBox;
    QSpacerItem *spacerItem3;
    QGroupBox *AudioGroupBox;
    QGridLayout *gridLayout2;
    QLabel *AudioDriverTextLabel;
    QComboBox *AudioDriverComboBox;
    QSpacerItem *spacerItem4;
    QLabel *AudioDeviceTextLabel;
    QComboBox *AudioDeviceComboBox;
    QToolButton *AudioDeviceToolButton;
    QTableView *AudioRoutingTable;
    QDialogButtonBox *DialogButtonBox;

    void setupUi(QDialog *qsamplerChannelForm)
    {
        if (qsamplerChannelForm->objectName().isEmpty())
            qsamplerChannelForm->setObjectName(QStringLiteral("qsamplerChannelForm"));
        qsamplerChannelForm->resize(480, 460);
        qsamplerChannelForm->setFocusPolicy(Qt::StrongFocus);
        const QIcon icon = QIcon(QString::fromUtf8(":/images/qsamplerChannel.png"));
        qsamplerChannelForm->setWindowIcon(icon);
        vboxLayout = new QVBoxLayout(qsamplerChannelForm);
        vboxLayout->setSpacing(4);
        vboxLayout->setContentsMargins(8, 8, 8, 8);
        vboxLayout->setObjectName(QStringLiteral("vboxLayout"));
        gridLayout = new QGridLayout();
        gridLayout->setSpacing(4);
        gridLayout->setContentsMargins(8, 8, 8, 8);
        gridLayout->setObjectName(QStringLiteral("gridLayout"));
        EngineNameTextLabel = new QLabel(qsamplerChannelForm);
        EngineNameTextLabel->setObjectName(QStringLiteral("EngineNameTextLabel"));
        EngineNameTextLabel->setMinimumSize(QSize(62, 0));
        EngineNameTextLabel->setMaximumSize(QSize(62, 16777215));
        EngineNameTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        EngineNameTextLabel->setWordWrap(false);

        gridLayout->addWidget(EngineNameTextLabel, 0, 0, 1, 1);

        EngineNameComboBox = new QComboBox(qsamplerChannelForm);
        EngineNameComboBox->setObjectName(QStringLiteral("EngineNameComboBox"));
        QSizePolicy sizePolicy(QSizePolicy::Expanding, QSizePolicy::Fixed);
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(EngineNameComboBox->sizePolicy().hasHeightForWidth());
        EngineNameComboBox->setSizePolicy(sizePolicy);

        gridLayout->addWidget(EngineNameComboBox, 0, 1, 1, 1);

        spacerItem = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout->addItem(spacerItem, 0, 2, 1, 1);

        InstrumentFileTextLabel = new QLabel(qsamplerChannelForm);
        InstrumentFileTextLabel->setObjectName(QStringLiteral("InstrumentFileTextLabel"));
        InstrumentFileTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        InstrumentFileTextLabel->setWordWrap(false);

        gridLayout->addWidget(InstrumentFileTextLabel, 1, 0, 1, 1);

        InstrumentFileComboBox = new QComboBox(qsamplerChannelForm);
        InstrumentFileComboBox->setObjectName(QStringLiteral("InstrumentFileComboBox"));
        sizePolicy.setHeightForWidth(InstrumentFileComboBox->sizePolicy().hasHeightForWidth());
        InstrumentFileComboBox->setSizePolicy(sizePolicy);
        InstrumentFileComboBox->setMinimumSize(QSize(320, 0));
        InstrumentFileComboBox->setEditable(true);

        gridLayout->addWidget(InstrumentFileComboBox, 1, 1, 1, 2);

        InstrumentFileToolButton = new QToolButton(qsamplerChannelForm);
        InstrumentFileToolButton->setObjectName(QStringLiteral("InstrumentFileToolButton"));
        QSizePolicy sizePolicy1(QSizePolicy::Fixed, QSizePolicy::Fixed);
        sizePolicy1.setHorizontalStretch(0);
        sizePolicy1.setVerticalStretch(0);
        sizePolicy1.setHeightForWidth(InstrumentFileToolButton->sizePolicy().hasHeightForWidth());
        InstrumentFileToolButton->setSizePolicy(sizePolicy1);
        InstrumentFileToolButton->setMinimumSize(QSize(24, 24));
        InstrumentFileToolButton->setMaximumSize(QSize(26, 26));
        InstrumentFileToolButton->setFocusPolicy(Qt::TabFocus);
        const QIcon icon1 = QIcon(QString::fromUtf8(":/images/fileOpen.png"));
        InstrumentFileToolButton->setIcon(icon1);

        gridLayout->addWidget(InstrumentFileToolButton, 1, 3, 1, 1);

        InstrumentNrTextLabel = new QLabel(qsamplerChannelForm);
        InstrumentNrTextLabel->setObjectName(QStringLiteral("InstrumentNrTextLabel"));
        InstrumentNrTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        InstrumentNrTextLabel->setWordWrap(false);

        gridLayout->addWidget(InstrumentNrTextLabel, 2, 0, 1, 1);

        InstrumentNrComboBox = new QComboBox(qsamplerChannelForm);
        InstrumentNrComboBox->setObjectName(QStringLiteral("InstrumentNrComboBox"));
        sizePolicy.setHeightForWidth(InstrumentNrComboBox->sizePolicy().hasHeightForWidth());
        InstrumentNrComboBox->setSizePolicy(sizePolicy);
        InstrumentNrComboBox->setMinimumSize(QSize(320, 0));

        gridLayout->addWidget(InstrumentNrComboBox, 2, 1, 1, 2);


        vboxLayout->addLayout(gridLayout);

        MidiGroupBox = new QGroupBox(qsamplerChannelForm);
        MidiGroupBox->setObjectName(QStringLiteral("MidiGroupBox"));
        gridLayout1 = new QGridLayout(MidiGroupBox);
        gridLayout1->setSpacing(4);
        gridLayout1->setContentsMargins(8, 8, 8, 8);
        gridLayout1->setObjectName(QStringLiteral("gridLayout1"));
        MidiDriverTextLabel = new QLabel(MidiGroupBox);
        MidiDriverTextLabel->setObjectName(QStringLiteral("MidiDriverTextLabel"));
        MidiDriverTextLabel->setMinimumSize(QSize(62, 0));
        MidiDriverTextLabel->setMaximumSize(QSize(62, 16777215));
        MidiDriverTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        MidiDriverTextLabel->setWordWrap(false);

        gridLayout1->addWidget(MidiDriverTextLabel, 0, 0, 1, 1);

        MidiDriverComboBox = new QComboBox(MidiGroupBox);
        MidiDriverComboBox->setObjectName(QStringLiteral("MidiDriverComboBox"));
        QSizePolicy sizePolicy2(QSizePolicy::Preferred, QSizePolicy::Fixed);
        sizePolicy2.setHorizontalStretch(0);
        sizePolicy2.setVerticalStretch(0);
        sizePolicy2.setHeightForWidth(MidiDriverComboBox->sizePolicy().hasHeightForWidth());
        MidiDriverComboBox->setSizePolicy(sizePolicy2);
        MidiDriverComboBox->setMinimumSize(QSize(92, 0));
        MidiDriverComboBox->setMaximumSize(QSize(92, 16777215));

        gridLayout1->addWidget(MidiDriverComboBox, 0, 1, 1, 1);

        spacerItem1 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout1->addItem(spacerItem1, 0, 2, 1, 1);

        MidiPortTextLabel = new QLabel(MidiGroupBox);
        MidiPortTextLabel->setObjectName(QStringLiteral("MidiPortTextLabel"));
        MidiPortTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        MidiPortTextLabel->setWordWrap(false);

        gridLayout1->addWidget(MidiPortTextLabel, 0, 3, 1, 1);

        MidiPortSpinBox = new QSpinBox(MidiGroupBox);
        MidiPortSpinBox->setObjectName(QStringLiteral("MidiPortSpinBox"));

        gridLayout1->addWidget(MidiPortSpinBox, 0, 4, 1, 1);

        MidiChannelTextLabel = new QLabel(MidiGroupBox);
        MidiChannelTextLabel->setObjectName(QStringLiteral("MidiChannelTextLabel"));
        MidiChannelTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        MidiChannelTextLabel->setWordWrap(false);

        gridLayout1->addWidget(MidiChannelTextLabel, 0, 5, 1, 1);

        MidiChannelComboBox = new QComboBox(MidiGroupBox);
        MidiChannelComboBox->setObjectName(QStringLiteral("MidiChannelComboBox"));

        gridLayout1->addWidget(MidiChannelComboBox, 0, 6, 1, 1);

        spacerItem2 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout1->addItem(spacerItem2, 0, 7, 1, 1);

        MidiDeviceTextLabel = new QLabel(MidiGroupBox);
        MidiDeviceTextLabel->setObjectName(QStringLiteral("MidiDeviceTextLabel"));
        MidiDeviceTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        MidiDeviceTextLabel->setWordWrap(false);

        gridLayout1->addWidget(MidiDeviceTextLabel, 1, 0, 1, 1);

        MidiDeviceComboBox = new QComboBox(MidiGroupBox);
        MidiDeviceComboBox->setObjectName(QStringLiteral("MidiDeviceComboBox"));
        sizePolicy.setHeightForWidth(MidiDeviceComboBox->sizePolicy().hasHeightForWidth());
        MidiDeviceComboBox->setSizePolicy(sizePolicy);

        gridLayout1->addWidget(MidiDeviceComboBox, 1, 1, 1, 6);

        MidiDeviceToolButton = new QToolButton(MidiGroupBox);
        MidiDeviceToolButton->setObjectName(QStringLiteral("MidiDeviceToolButton"));
        sizePolicy1.setHeightForWidth(MidiDeviceToolButton->sizePolicy().hasHeightForWidth());
        MidiDeviceToolButton->setSizePolicy(sizePolicy1);
        MidiDeviceToolButton->setMinimumSize(QSize(24, 24));
        MidiDeviceToolButton->setMaximumSize(QSize(26, 26));
        MidiDeviceToolButton->setFocusPolicy(Qt::TabFocus);
        const QIcon icon2 = QIcon(QString::fromUtf8(":/images/midi1.png"));
        MidiDeviceToolButton->setIcon(icon2);

        gridLayout1->addWidget(MidiDeviceToolButton, 1, 7, 1, 1);

        MidiMapTextLabel = new QLabel(MidiGroupBox);
        MidiMapTextLabel->setObjectName(QStringLiteral("MidiMapTextLabel"));
        MidiMapTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        MidiMapTextLabel->setWordWrap(false);

        gridLayout1->addWidget(MidiMapTextLabel, 2, 0, 1, 1);

        MidiMapComboBox = new QComboBox(MidiGroupBox);
        MidiMapComboBox->setObjectName(QStringLiteral("MidiMapComboBox"));
        sizePolicy.setHeightForWidth(MidiMapComboBox->sizePolicy().hasHeightForWidth());
        MidiMapComboBox->setSizePolicy(sizePolicy);

        gridLayout1->addWidget(MidiMapComboBox, 2, 1, 1, 2);

        spacerItem3 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout1->addItem(spacerItem3, 2, 3, 1, 5);


        vboxLayout->addWidget(MidiGroupBox);

        AudioGroupBox = new QGroupBox(qsamplerChannelForm);
        AudioGroupBox->setObjectName(QStringLiteral("AudioGroupBox"));
        gridLayout2 = new QGridLayout(AudioGroupBox);
        gridLayout2->setSpacing(4);
        gridLayout2->setContentsMargins(8, 8, 8, 8);
        gridLayout2->setObjectName(QStringLiteral("gridLayout2"));
        AudioDriverTextLabel = new QLabel(AudioGroupBox);
        AudioDriverTextLabel->setObjectName(QStringLiteral("AudioDriverTextLabel"));
        AudioDriverTextLabel->setMinimumSize(QSize(62, 0));
        AudioDriverTextLabel->setMaximumSize(QSize(62, 16777215));
        AudioDriverTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        AudioDriverTextLabel->setWordWrap(false);

        gridLayout2->addWidget(AudioDriverTextLabel, 0, 0, 1, 1);

        AudioDriverComboBox = new QComboBox(AudioGroupBox);
        AudioDriverComboBox->setObjectName(QStringLiteral("AudioDriverComboBox"));
        sizePolicy2.setHeightForWidth(AudioDriverComboBox->sizePolicy().hasHeightForWidth());
        AudioDriverComboBox->setSizePolicy(sizePolicy2);
        AudioDriverComboBox->setMinimumSize(QSize(92, 0));
        AudioDriverComboBox->setMaximumSize(QSize(92, 16777215));

        gridLayout2->addWidget(AudioDriverComboBox, 0, 1, 1, 1);

        spacerItem4 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout2->addItem(spacerItem4, 0, 2, 1, 2);

        AudioDeviceTextLabel = new QLabel(AudioGroupBox);
        AudioDeviceTextLabel->setObjectName(QStringLiteral("AudioDeviceTextLabel"));
        AudioDeviceTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        AudioDeviceTextLabel->setWordWrap(false);

        gridLayout2->addWidget(AudioDeviceTextLabel, 1, 0, 1, 1);

        AudioDeviceComboBox = new QComboBox(AudioGroupBox);
        AudioDeviceComboBox->setObjectName(QStringLiteral("AudioDeviceComboBox"));
        sizePolicy.setHeightForWidth(AudioDeviceComboBox->sizePolicy().hasHeightForWidth());
        AudioDeviceComboBox->setSizePolicy(sizePolicy);

        gridLayout2->addWidget(AudioDeviceComboBox, 1, 1, 1, 2);

        AudioDeviceToolButton = new QToolButton(AudioGroupBox);
        AudioDeviceToolButton->setObjectName(QStringLiteral("AudioDeviceToolButton"));
        sizePolicy1.setHeightForWidth(AudioDeviceToolButton->sizePolicy().hasHeightForWidth());
        AudioDeviceToolButton->setSizePolicy(sizePolicy1);
        AudioDeviceToolButton->setMinimumSize(QSize(24, 24));
        AudioDeviceToolButton->setMaximumSize(QSize(26, 26));
        AudioDeviceToolButton->setFocusPolicy(Qt::TabFocus);
        const QIcon icon3 = QIcon(QString::fromUtf8(":/images/audio1.png"));
        AudioDeviceToolButton->setIcon(icon3);

        gridLayout2->addWidget(AudioDeviceToolButton, 1, 3, 1, 1);

        AudioRoutingTable = new QTableView(AudioGroupBox);
        AudioRoutingTable->setObjectName(QStringLiteral("AudioRoutingTable"));
        QSizePolicy sizePolicy3(QSizePolicy::Expanding, QSizePolicy::Expanding);
        sizePolicy3.setHorizontalStretch(0);
        sizePolicy3.setVerticalStretch(0);
        sizePolicy3.setHeightForWidth(AudioRoutingTable->sizePolicy().hasHeightForWidth());
        AudioRoutingTable->setSizePolicy(sizePolicy3);
        AudioRoutingTable->setMinimumSize(QSize(320, 80));

        gridLayout2->addWidget(AudioRoutingTable, 2, 0, 1, 4);


        vboxLayout->addWidget(AudioGroupBox);

        DialogButtonBox = new QDialogButtonBox(qsamplerChannelForm);
        DialogButtonBox->setObjectName(QStringLiteral("DialogButtonBox"));
        DialogButtonBox->setOrientation(Qt::Horizontal);
        DialogButtonBox->setStandardButtons(QDialogButtonBox::Cancel|QDialogButtonBox::Ok);

        vboxLayout->addWidget(DialogButtonBox);

#ifndef QT_NO_SHORTCUT
        EngineNameTextLabel->setBuddy(EngineNameComboBox);
        InstrumentFileTextLabel->setBuddy(InstrumentFileComboBox);
        InstrumentNrTextLabel->setBuddy(InstrumentNrComboBox);
        MidiDriverTextLabel->setBuddy(MidiDriverComboBox);
        MidiPortTextLabel->setBuddy(MidiPortSpinBox);
        MidiChannelTextLabel->setBuddy(MidiChannelComboBox);
        MidiDeviceTextLabel->setBuddy(MidiDeviceComboBox);
        MidiMapTextLabel->setBuddy(MidiMapComboBox);
        AudioDriverTextLabel->setBuddy(AudioDriverComboBox);
        AudioDeviceTextLabel->setBuddy(AudioDeviceComboBox);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(EngineNameComboBox, InstrumentFileComboBox);
        QWidget::setTabOrder(InstrumentFileComboBox, InstrumentFileToolButton);
        QWidget::setTabOrder(InstrumentFileToolButton, InstrumentNrComboBox);
        QWidget::setTabOrder(InstrumentNrComboBox, DialogButtonBox);

        retranslateUi(qsamplerChannelForm);

        QMetaObject::connectSlotsByName(qsamplerChannelForm);
    } // setupUi

    void retranslateUi(QDialog *qsamplerChannelForm)
    {
        qsamplerChannelForm->setWindowTitle(QApplication::translate("qsamplerChannelForm", "Qsampler: Channel", Q_NULLPTR));
        EngineNameTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Engine:", Q_NULLPTR));
#ifndef QT_NO_TOOLTIP
        EngineNameComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "Engine name", Q_NULLPTR));
#endif // QT_NO_TOOLTIP
        InstrumentFileTextLabel->setText(QApplication::translate("qsamplerChannelForm", "Filena&me:", Q_NULLPTR));
#ifndef QT_NO_TOOLTIP
        InstrumentFileComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "Instrument filename", Q_NULLPTR));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_TOOLTIP
        InstrumentFileToolButton->setToolTip(QApplication::translate("qsamplerChannelForm", "Browse for instrument filename", Q_NULLPTR));
#endif // QT_NO_TOOLTIP
        InstrumentFileToolButton->setText(QString());
        InstrumentNrTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Instrument:", Q_NULLPTR));
#ifndef QT_NO_TOOLTIP
        InstrumentNrComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "Instrument name", Q_NULLPTR));
#endif // QT_NO_TOOLTIP
        MidiGroupBox->setTitle(QApplication::translate("qsamplerChannelForm", "MIDI / Input", Q_NULLPTR));
        MidiDriverTextLabel->setText(QApplication::translate("qsamplerChannelForm", "T&ype:", Q_NULLPTR));
#ifndef QT_NO_TOOLTIP
        MidiDriverComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "MIDI input driver type", Q_NULLPTR));
#endif // QT_NO_TOOLTIP
        MidiPortTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Port:", Q_NULLPTR));
#ifndef QT_NO_TOOLTIP
        MidiPortSpinBox->setToolTip(QApplication::translate("qsamplerChannelForm", "MIDI input port number", Q_NULLPTR));
#endif // QT_NO_TOOLTIP
        MidiChannelTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Channel:", Q_NULLPTR));
        MidiChannelComboBox->clear();
        MidiChannelComboBox->insertItems(0, QStringList()
         << QApplication::translate("qsamplerChannelForm", "1", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "2", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "3", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "4", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "5", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "6", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "7", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "8", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "9", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "10", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "11", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "12", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "13", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "14", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "15", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "16", Q_NULLPTR)
         << QApplication::translate("qsamplerChannelForm", "All", Q_NULLPTR)
        );
#ifndef QT_NO_TOOLTIP
        MidiChannelComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "MIDI input channel", Q_NULLPTR));
#endif // QT_NO_TOOLTIP
        MidiDeviceTextLabel->setText(QApplication::translate("qsamplerChannelForm", "De&vice:", Q_NULLPTR));
#ifndef QT_NO_TOOLTIP
        MidiDeviceComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "MIDI input device", Q_NULLPTR));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_TOOLTIP
        MidiDeviceToolButton->setToolTip(QApplication::translate("qsamplerChannelForm", "MIDI input device setup", Q_NULLPTR));
#endif // QT_NO_TOOLTIP
        MidiDeviceToolButton->setText(QString());
        MidiMapTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Map:", Q_NULLPTR));
#ifndef QT_NO_TOOLTIP
        MidiMapComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "Instrument map", Q_NULLPTR));
#endif // QT_NO_TOOLTIP
        AudioGroupBox->setTitle(QApplication::translate("qsamplerChannelForm", "Audio / Output", Q_NULLPTR));
        AudioDriverTextLabel->setText(QApplication::translate("qsamplerChannelForm", "T&ype:", Q_NULLPTR));
#ifndef QT_NO_TOOLTIP
        AudioDriverComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "Audio output driver type", Q_NULLPTR));
#endif // QT_NO_TOOLTIP
        AudioDeviceTextLabel->setText(QApplication::translate("qsamplerChannelForm", "De&vice:", Q_NULLPTR));
#ifndef QT_NO_TOOLTIP
        AudioDeviceComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "Audio output device", Q_NULLPTR));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_TOOLTIP
        AudioDeviceToolButton->setToolTip(QApplication::translate("qsamplerChannelForm", "Audio output device setup", Q_NULLPTR));
#endif // QT_NO_TOOLTIP
        AudioDeviceToolButton->setText(QString());
#ifndef QT_NO_TOOLTIP
        AudioRoutingTable->setToolTip(QApplication::translate("qsamplerChannelForm", "Audio routing table", Q_NULLPTR));
#endif // QT_NO_TOOLTIP
    } // retranslateUi

};

namespace Ui {
    class qsamplerChannelForm: public Ui_qsamplerChannelForm {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_QSAMPLERCHANNELFORM_H
